#ifndef SETTINGDATAS_H
#define SETTINGDATAS_H

#include <QWidget>
#include <QLabel>

namespace Ui {
class SettingDatas;
}

class SettingDatas : public QWidget
{
    Q_OBJECT
Q_SIGNALS:
    void change(bool);
    void title(QString);
public:
    explicit SettingDatas(QWidget *parent = nullptr);
    ~SettingDatas();
public:
    void load();
public slots:
    void accept();
    void resetText(QLabel* item);
    void updateLabelText();
    void slotChangeUIFontSize(int fontSize);
    void updateLabelWidth(QFont font);
private slots:
    void check();
private:
    Ui::SettingDatas *ui;
private:
    int       m_iDuplicate;
    bool      m_bAdd;
    bool      m_bDelete;
    bool      m_bClear;
};

#endif // SETTINGDATAS_H
